package com.trade.service.trade.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.filingdoc.vo.CustomsDeclaration4FilingDocSearch;
import com.trade.service.trade.filingdoc.vo.CustomsDeclaration4FilingDocVO;
import com.trade.service.trade.filingdoc.vo.SalesOrder4CustomsFileQueryVO;
import com.trade.service.trade.salesorder.domain.CustomsDeclaration;
import com.trade.service.trade.salesorder.vo.*;

import java.util.List;

/**
 * <p>
 * 报关单信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-19
 */
public interface CustomsDeclarationMapper extends BaseMapper<CustomsDeclaration> {

    List<SalesOrder4CustomsDeclarationVO> queryOrderNo4UpdateCustomsDeclaration();

    List<CustomsDeclarationVO> queryListBySearch(CustomsDeclarationSearch search);

    CustomsDeclarationDtlVO getDetailById(Long id);

    List<SalesOrder4CustomsFileQueryVO> queryData4DownloadCustomsDeclarationFile();

    List<CustomsDeclaration4FilingDocVO> queryList4FilingDocBySearch(CustomsDeclaration4FilingDocSearch search);

    List<String> queryAllDeclareCompany4Dict();
}
